• 0
Sign in to follow this  
Followers 0
Valaris

@autopots

Question

Buenas, he intentado usar el siguiente plugin @autopots http://herc.ws/board/topic/2915-autopots/?p=20915 en linux y con el emulador actualizado. Al hacer make plugins arroja los siguientes errores:

 

 


        CC      autopots.c
autopots.c: In function ‘autoatpots_timer’:
autopots.c:79:20: warning: unused variable ‘item’ [-Wunused-variable]
  struct item_data* item = NULL;
                    ^
autopots.c: In function ‘atcommand_autopots’:
autopots.c:133:3: warning: implicit declaration of function ‘sscanf_s’ [-Wimplicit-function-declaration]
   sscanf_s(message, "%d %d %d %d ", &hp_rate, &hp_nameid, &sp_rate, &sp_nameid) < 4) ||
   ^
autopots.c: In function ‘plugin_init’:
autopots.c:267:2: warning: implicit declaration of function ‘GET_SYMBOL’ [-Wimplicit-function-declaration]
  clif = GET_SYMBOL("clif");
  ^
autopots.c:267:7: warning: assignment makes pointer from integer without a cast
  clif = GET_SYMBOL("clif");
       ^
autopots.c:268:12: warning: assignment makes pointer from integer without a cast
     script = GET_SYMBOL("script");
            ^
autopots.c:269:5: warning: assignment makes pointer from integer without a cast
  pc = GET_SYMBOL("pc");
     ^
autopots.c:270:12: warning: assignment makes pointer from integer without a cast
  atcommand = GET_SYMBOL("atcommand");
            ^
autopots.c:271:6: warning: assignment makes pointer from integer without a cast
  map = GET_SYMBOL("map");
      ^
autopots.c:272:7: warning: assignment makes pointer from integer without a cast
  unit = GET_SYMBOL("unit");
       ^
autopots.c:273:8: warning: assignment makes pointer from integer without a cast
  timer = GET_SYMBOL("timer");
        ^
autopots.c:274:9: warning: assignment makes pointer from integer without a cast
  itemdb = GET_SYMBOL("itemdb");
         ^
autopots.c: In function ‘autoatpots_timer’:
autopots.c:114:28: warning: array subscript is above array bounds [-Warray-bounds]
    if( sd->status.inventory[index].nameid == hp_nameid )
                            ^
autopots.c:120:28: warning: array subscript is above array bounds [-Warray-bounds]
    if( sd->status.inventory[index].nameid == sp_nameid )
                            ^
/tmp/cc9MuuIQ.o: In function `atcommand_autohp':
/root/ro/src/plugins/autopots.c:189: undefined reference to `sscanf_s'
/root/ro/src/plugins/autopots.c:186: undefined reference to `sscanf_s'
/root/ro/src/plugins/autopots.c:190: undefined reference to `sscanf_s'
/tmp/cc9MuuIQ.o: In function `atcommand_autosp':
/root/ro/src/plugins/autopots.c:231: undefined reference to `sscanf_s'
/root/ro/src/plugins/autopots.c:228: undefined reference to `sscanf_s'
/tmp/cc9MuuIQ.o:/root/ro/src/plugins/autopots.c:232: more undefined references to `sscanf_s' follow
/tmp/cc9MuuIQ.o: In function `plugin_init':
/root/ro/src/plugins/autopots.c:267: undefined reference to `GET_SYMBOL'
/root/ro/src/plugins/autopots.c:268: undefined reference to `GET_SYMBOL'
/root/ro/src/plugins/autopots.c:269: undefined reference to `GET_SYMBOL'
/root/ro/src/plugins/autopots.c:270: undefined reference to `GET_SYMBOL'
/root/ro/src/plugins/autopots.c:271: undefined reference to `GET_SYMBOL'
/tmp/cc9MuuIQ.o:/root/ro/src/plugins/autopots.c:272: more undefined references to `GET_SYMBOL' follow
collect2: error: ld returned 1 exit status
Makefile:104: recipe for target '../../plugins/autopots.so' failed
make[1]: *** [../../plugins/autopots.so] Error 1
make[1]: Leaving directory '/root/ro/src/plugins'
Makefile:132: recipe for target 'plugins' failed
make: *** [plugins] Error 2
 

 

¿Alguien puede ayudarme? he buscado por todos lados y no encuentro la solución. Gracias.

Share this post


Link to post
Share on other sites

2 answers to this question

  • 0

El plugin se encuentra desactualizado y no funciona con el gestor de plugins actual de Hercules. Esto ocurre porque el motor de plugins fue actualizado y ha habido una serie de cambios estructurales en el mismo que hacen que ese plugin no funcione actualmente.

 

Esperemos a ver si @@Mhalicot se entera de que su plugin se encuentra desactualizado y puede actualizarlo. O puedes intentar actualizarlo tú, yo lo haría si encuentro un rato largo que echarle.

 

Un saludo.

Share this post


Link to post
Share on other sites
  • 0

Gracias por responder. Intentaré resolverlo yo mismo, a ver si puedo. Si logro hacerlo vuelvo a escribir :)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0